# Location get

An action block that gets the current device location, geographic coordinate.

If the proceed option is set to Maybe immediately, then the fiber will only proceed immediately if the known location fix is younger than the maximum fix age, otherwise the fiber will pause until a fresh fix has been acquired. If set to When changed, then the fiber will pause until the location has changed by at least the minimum distance.

The GPS and High accuracy providers may not be able to acquire a location fix while the device is indoors since the GPS needs a clear view of the sky. The fix altitude, bearing and speed may be inaccurate approximations.

Note! Using “task killer” apps or the Android 5+ “power save mode” may interfere with location reporting. The “doze” feature of Android 6+ may also cause location reporting to become unreliable. Try setting the following apps (if present) to “Not optimized” in the system Battery, Battery optimization (menu) settings:

- Automate
- Google Play services
- Google Services Framework
- Fused Location
- Maps (Google)
- Motorola Sensor Service

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Location provider — location provider to use, default is Balanced.
- Maximum fix age — maximum age of known location fix, use 0 to force acquisition of a new fix, default is no age limit, only used with proceed Maybe immediately.
- Minimum distance — minimum distance for location change, default is 100 meters, only used with proceed When changed.

## Output variables

- Location fix latitude — variable to assign the latitude of location fix.
- Location fix longitude — variable to assign the longitude of location fix.
- Location fix altitude — variable to assign the altitude of location fix in meters, or `null` if unavailable.
- Location fix bearing — variable to assign the bearing of location fix in degrees, or `null` if unavailable.
- Location fix speed — variable to assign the speed of location fix in meter/second, or `null` if unavailable.
- Location fix accuracy — variable to assign the estimated accuracy of location fix in meters, or `null` if unavailable.
- Location fix timestamp — variable to assign the unix timestamp when the location fix was acquired.
- Location fix provider — variable to assign the provider of the location fix, or `null` if unknown.